This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 908775 - ovirt-engine-backend: Cannot add external event if flood rate is not passed explicitly
ovirt-engine-backend: Cannot add external event if flood rate is not passed e...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Eli Mesika
Oded Ramraz
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-07 08:47 EST by Oded Ramraz
Modified: 2016-02-10 14:46 EST (History)
9 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11847 None None None Never

  None (edit)
Description Oded Ramraz 2013-02-07 08:47:23 EST
Description of problem:

I'm trying to add external event using rhevm-shell . 
When I don't pass flood rate explicitly I get "General command validation failure" , after I pass it the external event is added successfully ( See Additional Information ). 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:



Additional info:

## flood rate is not passed 

RHEVM shell (connected)]# add event --custom_id 12 --origin "test" --severity "normal" --description "test"

error: 
status: 400
reason: Bad Request
detail: General command validation failure.

## passing flood rate explicitly 


[RHEVM shell (connected)]# add event --custom_id -1 --origin "newvirt" --severity "normal" --description "test" --flood_rate 30

id         : 13576
description: test
code       : 9801
custom_id  : -1
flood_rate : 30
origin     : newvirt
severity   : normal
time       : 2013-02-07T15:43:11.323+02:00
Comment 1 Eli Mesika 2013-02-12 15:15:51 EST
fixed in commit : 3644f85
Comment 3 Oded Ramraz 2013-04-14 08:06:15 EDT
[RHEVM shell (connected)]# add event --custom_id 12 --origin "test" --severity "normal" --description "test"

id         : 44832
description: test
code       : 9801
custom_id  : 12
flood_rate : 30
origin     : test
severity   : normal
time       : 2013-04-14T15:05:40.686+03:00


sf13.1
Comment 4 Itamar Heim 2013-06-11 05:07:43 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:07:43 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:07:46 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:36:20 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.